Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037378
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionaryminoralways2017-11-23 19:022018-01-03 12:39
ReportergorkaionView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision36de0a945115
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037378: Misleading filed name Entity Alias should be renamed to Clause Left Part as in wiki

DescriptionIn a tab based on a HQL Query table. If it is desired to filter the grid by some column it is required to fill the Entity Alias field with the corresponding where clause. The name of this field is misleading.

In the related how to wiki page it is explained that this fields has to be filled. But the name is different: "Clause Left Part". Which is more misleading as users looking that field won't find it.

The field should be named as in the wiki.

[1] http://wiki.openbravo.com/wiki/How_to_create_a_HQL_Based_Table [^]
Steps To ReproduceN/A
Proposed SolutionRename the field in the Application Dictionary to better reflect its usage.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0100721)
hgbot (developer)
2017-11-27 09:23

Repository: erp/devel/pi
Changeset: 36de0a9451156cd54140212753ccd4e6c57915fc
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Nov 27 09:22:20 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/36de0a9451156cd54140212753ccd4e6c57915fc [^]

fixes bug 37378: field name Entity Alias should be renamed to Clause Left Part

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0100737)
alostale (developer)
2017-11-27 11:25

reviewed
(0101458)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-23 19:02 gorkaion New Issue
2017-11-23 19:02 gorkaion Assigned To => platform
2017-11-23 19:02 gorkaion Modules => Core
2017-11-23 19:02 gorkaion Triggers an Emergency Pack => No
2017-11-24 09:27 caristu Status new => acknowledged
2017-11-27 09:23 hgbot Checkin
2017-11-27 09:23 hgbot Note Added: 0100721
2017-11-27 09:23 hgbot Status acknowledged => resolved
2017-11-27 09:23 hgbot Resolution open => fixed
2017-11-27 09:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/36de0a9451156cd54140212753ccd4e6c57915fc [^]
2017-11-27 09:23 caristu Review Assigned To => alostale
2017-11-27 09:26 caristu Assigned To platform => caristu
2017-11-27 11:25 alostale Note Added: 0100737
2017-11-27 11:25 alostale Status resolved => closed
2017-11-27 11:25 alostale Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101458


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker